Back to Text to speech
fal.ai·Text to speech

MiniMax Speech-02 HD

/fal-ai/minimax/speech-02-hdasync$0.15 / 1,000 characters

Generate speech from text prompts and different voices using the MiniMax Speech-02 HD model, which leverages advanced AI techniques to create high-quality text-to-speech. Returns hosted file URLs (download promptly; fal keeps them for a limited time). Billed per 1,000 characters.

Charged per 1,000 characters produced; a call that produces nothing is charged one unit.

Input
  • output_formatstring

    Format of the output content (non-streaming only) (default "hex")

    url, hex

  • voice_settingobject

    voice_setting

  • language_boostany

    Enhance recognition of specified languages and dialects

  • audio_settingobject

    audio_setting

  • pronunciation_dictany

    Custom pronunciation dictionary for text replacement

  • textstringrequired

    Text to convert to speech (max 5000 characters, minimum 1 non-whitespace character)

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"fal","endpoint":"/fal-ai/minimax/speech-02-hd","input":{"text":"Hello from Sooma."}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.